Package org.eclipse.emf.cdo.common.protocol

# Interface CDODataOutput

All Superinterfaces:
  `DataOutput`, `org.eclipse.net4j.util.io.ExtendedDataOutput`

All Known Implementing Classes:
  `CDODataOutputImpl`

public interface CDODataOutput extends org.eclipse.net4j.util.io.ExtendedDataOutput
Provides I/O methods for writing various CDO data types and concepts to streams.

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.ExtendedDataOutput

`org.eclipse.net4j.util.io.ExtendedDataOutput.Delegating, org.eclipse.net4j.util.io.ExtendedDataOutput.Stream`

## Method Summary

Modifier and Type
Method
Description
`CDOIDProvider`
`getIDProvider()`
`CDOPackageRegistry`
`getPackageRegistry()`
`CDOPermissionProvider`
`getPermissionProvider()`
`CDORevisionUnchunker`
`getRevisionUnchunker()`
`CDOCommonSession`
`getSession()`
`void`
`writeCDOBranch(CDOBranch branch)`
`void`
`writeCDOBranchPoint(CDOBranchPoint branchPoint)`
`void`
`writeCDOBranchVersion(CDOBranchVersion branchVersion)`
`void`
`writeCDOChangeSetData(CDOChangeSetData changeSetData)`
`void`
`writeCDOClassifierRef(CDOClassifierRef eClassifierRef)`
`void`
`writeCDOClassifierRef(EClassifier eClassifier)`
`void`
`writeCDOCommitData(CDOCommitData commitData)`
`void`
`writeCDOCommitInfo(CDOCommitInfo commitInfo)`
`void`
`writeCDOFeatureDelta(EClass owner, CDOFeatureDelta featureDelta)`
`void`
`writeCDOFeatureValue(EStructuralFeature feature, Object value)`
`void`
`writeCDOID(CDOID id)`
`void`
`writeCDOIDAndBranch(CDOIDAndBranch idAndBranch)`
`void`
`writeCDOIDAndVersion(CDOIDAndVersion idAndVersion)`
`void`
`writeCDOIDReference(CDOIDReference idReference)`
`void`
`writeCDOList(EClass owner, EStructuralFeature feature, CDOList list, int referenceChunk)`
`void`
`writeCDOLockArea(IDurableLockingManager.LockArea lockArea)`
`void`
`writeCDOLockChangeInfo(CDOLockChangeInfo lockChangeInfo)`
`void`
`writeCDOLockChangeInfo(CDOLockChangeInfo lockChangeInfo, Set<CDOID> filter)`
`void`
`writeCDOLockDelta(CDOLockDelta lockDelta)`
`default void`
`writeCDOLockDeltas(List<CDOLockDelta> lockDeltas, Predicate<CDOLockDelta> filter)`
`void`
`writeCDOLockOwner(CDOLockOwner lockOwner)`
`void`
`writeCDOLockState(CDOLockState lockState)`
`default void`
`writeCDOLockStates(List<CDOLockState> lockStates, Predicate<CDOLockState> filter)`
`void`
`writeCDOLockType(org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType)`
`void`
`writeCDOPackageInfo(CDOPackageInfo packageInfo)`
`void`
`writeCDOPackageUnit(CDOPackageUnit packageUnit, boolean withPackages)`
`void`
`writeCDOPackageUnits(CDOPackageUnit... packageUnit)`
`void`
`writeCDOPackageUnitType(CDOPackageUnit.Type type)`
`void`
`writeCDOPackageURI(String uri)`
`void`
`writeCDORevisable(CDORevisable revisable)`
`void`
`writeCDORevision(CDORevision revision, int referenceChunk)`
`void`
`writeCDORevision(CDORevision revision, int referenceChunk, CDOBranchPoint securityContext)`
`void`
`writeCDORevisionDelta(CDORevisionDelta revisionDelta)`
`void`
`writeCDORevisionKey(CDORevisionKey revisionKey)`
`void`
`writeCDORevisionOrPrimitive(Object value)`
Write either a CDORevision or a primitive value.
`void`
`writeCDORevisionOrPrimitiveOrClassifier(Object value)`
Write either a CDORevision, a primitive value or a EClass.
`void`
`writeCDOType(CDOType cdoType)`
`void`
`writeXInt(int v)`
`void`
`writeXLong(long v)`

### Methods inherited from interface java.io.DataOutput

`write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

### Methods inherited from interface org.eclipse.net4j.util.io.ExtendedDataOutput

`writeByteArray, writeEnum, writeException, writeObject, writeString, writeVarInt, writeVarLong`

## Method Details

### writeXInt

void writeXInt(int v) throws IOException

Throws:
  `IOException`
Since:
  4.6

### writeXLong

void writeXLong(long v) throws IOException

Throws:
  `IOException`
Since:
  4.6

### getSession

CDOCommonSession getSession()

Since:
  4.18

### getPackageRegistry

CDOPackageRegistry getPackageRegistry()

### getIDProvider

CDOIDProvider getIDProvider()

### getPermissionProvider

CDOPermissionProvider getPermissionProvider()

Since:
  4.1

### getRevisionUnchunker

CDORevisionUnchunker getRevisionUnchunker()

Since:
  4.3

### writeCDOPackageUnit

void writeCDOPackageUnit(CDOPackageUnit packageUnit, boolean withPackages) throws IOException

Throws:
  `IOException`

### writeCDOPackageUnits

void writeCDOPackageUnits(CDOPackageUnit... packageUnit) throws IOException

Throws:
  `IOException`

### writeCDOPackageUnitType

void writeCDOPackageUnitType(CDOPackageUnit.Type type) throws IOException

Throws:
  `IOException`

### writeCDOPackageInfo

void writeCDOPackageInfo(CDOPackageInfo packageInfo) throws IOException

Throws:
  `IOException`

### writeCDOClassifierRef

void writeCDOClassifierRef(CDOClassifierRef eClassifierRef) throws IOException

Throws:
  `IOException`

### writeCDOClassifierRef

void writeCDOClassifierRef(EClassifier eClassifier) throws IOException

Throws:
  `IOException`

### writeCDOPackageURI

void writeCDOPackageURI(String uri) throws IOException

Throws:
  `IOException`

### writeCDOType

void writeCDOType(CDOType cdoType) throws IOException

Throws:
  `IOException`

### writeCDOBranch

void writeCDOBranch(CDOBranch branch) throws IOException

Throws:
  `IOException`

### writeCDOBranchPoint

void writeCDOBranchPoint(CDOBranchPoint branchPoint) throws IOException

Throws:
  `IOException`

### writeCDOBranchVersion

void writeCDOBranchVersion(CDOBranchVersion branchVersion) throws IOException

Throws:
  `IOException`

### writeCDOChangeSetData

void writeCDOChangeSetData(CDOChangeSetData changeSetData) throws IOException

Throws:
  `IOException`

### writeCDOCommitData

void writeCDOCommitData(CDOCommitData commitData) throws IOException

Throws:
  `IOException`

### writeCDOCommitInfo

void writeCDOCommitInfo(CDOCommitInfo commitInfo) throws IOException

Throws:
  `IOException`

### writeCDOID

void writeCDOID(CDOID id) throws IOException

Throws:
  `IOException`

### writeCDOIDReference

void writeCDOIDReference(CDOIDReference idReference) throws IOException

Throws:
  `IOException`
Since:
  4.0

### writeCDOIDAndVersion

void writeCDOIDAndVersion(CDOIDAndVersion idAndVersion) throws IOException

Throws:
  `IOException`
Since:
  4.0

### writeCDOIDAndBranch

void writeCDOIDAndBranch(CDOIDAndBranch idAndBranch) throws IOException

Throws:
  `IOException`
Since:
  4.0

### writeCDORevisionKey

void writeCDORevisionKey(CDORevisionKey revisionKey) throws IOException

Throws:
  `IOException`

### writeCDORevision

void writeCDORevision(CDORevision revision, int referenceChunk) throws IOException

Throws:
  `IOException`

### writeCDORevision

void writeCDORevision(CDORevision revision, int referenceChunk, CDOBranchPoint securityContext) throws IOException

Throws:
  `IOException`
Since:
  4.1

### writeCDORevisable

void writeCDORevisable(CDORevisable revisable) throws IOException

Throws:
  `IOException`
Since:
  4.0

### writeCDOList

void writeCDOList(EClass owner, EStructuralFeature feature, CDOList list, int referenceChunk) throws IOException

Throws:
  `IOException`

### writeCDOFeatureValue

void writeCDOFeatureValue(EStructuralFeature feature, Object value) throws IOException

Throws:
  `IOException`

### writeCDORevisionDelta

void writeCDORevisionDelta(CDORevisionDelta revisionDelta) throws IOException

Throws:
  `IOException`

### writeCDOFeatureDelta

void writeCDOFeatureDelta(EClass owner, CDOFeatureDelta featureDelta) throws IOException

Throws:
  `IOException`

### writeCDORevisionOrPrimitive

void writeCDORevisionOrPrimitive(Object value) throws IOException
Write either a CDORevision or a primitive value.

Throws:
  `IOException`

### writeCDORevisionOrPrimitiveOrClassifier

void writeCDORevisionOrPrimitiveOrClassifier(Object value) throws IOException
Write either a CDORevision, a primitive value or a EClass.

Throws:
  `IOException`

### writeCDOLockType

void writeCDOLockType(org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType) throws IOException

Throws:
  `IOException`

### writeCDOLockChangeInfo

void writeCDOLockChangeInfo(CDOLockChangeInfo lockChangeInfo) throws IOException

Throws:
  `IOException`
Since:
  4.1

### writeCDOLockChangeInfo

void writeCDOLockChangeInfo(CDOLockChangeInfo lockChangeInfo, Set<CDOID> filter) throws IOException

Throws:
  `IOException`
Since:
  4.12

### writeCDOLockState

void writeCDOLockState(CDOLockState lockState) throws IOException

Throws:
  `IOException`
Since:
  4.1

### writeCDOLockStates

default void writeCDOLockStates(List<CDOLockState> lockStates, Predicate<CDOLockState> filter) throws IOException

Throws:
  `IOException`
Since:
  4.15

### writeCDOLockDelta

void writeCDOLockDelta(CDOLockDelta lockDelta) throws IOException

Throws:
  `IOException`
Since:
  4.15

### writeCDOLockDeltas

default void writeCDOLockDeltas(List<CDOLockDelta> lockDeltas, Predicate<CDOLockDelta> filter) throws IOException

Throws:
  `IOException`
Since:
  4.15

### writeCDOLockOwner

void writeCDOLockOwner(CDOLockOwner lockOwner) throws IOException

Throws:
  `IOException`
Since:
  4.1

### writeCDOLockArea

void writeCDOLockArea(IDurableLockingManager.LockArea lockArea) throws IOException

Throws:
  `IOException`
Since:
  4.1